version: "3"

services:
  app:
    image: openjdk:8
    volumes:
      - ./target:/usr/app
    working_dir: /usr/app
    command: java -jar group-feed-service-1.0.0-SNAPSHOT.jar
    links:
      - db
    container_name: "group-feed-service"
    environment:
      - DB_NAME=proddb
    ports:
      - "8080:8080"

  db:
    image: postgres:latest
    restart: always
    environment:
      - POSTGRES_PASSWORD=postgres
